## Квантовые вычисления (пример)

### Python

Используется Python версии 3.9

Установщик https://www.python.org/ftp/python/3.9.13/

### Poetry

Для создания и настройки окружения проекта необходимо установить poetry

**Для Windows (Powershell)**

```
(Invoke-WebRequest -Uri https://install.python-poetry.org -UseBasicParsing).Content | python -
```

**Linux, macOS, Windows (WSL)**

```
curl -sSL https://install.python-poetry.org | python3 -
```

**Добавление poetry в PATH**

1. Открыть настройки переменных среды \
    \
   <img src="docs/path1.png" width="300"> \
    \
   <img src="docs/path2.png" width="400"> \
2. Изменить переменную Path текущего пользователя \
    \
   <img src="docs/path3.png" width="500"> \
3. Добавление пути `%APPDATA%\Python\Scripts` до исполняемого файла poetry \
    \
   <img src="docs/path4.png" width="400">

### Создание окружения

```
poetry install
```

### Добавление зависимости

```
poetry add pendulum==2.0.5
poetry lock
poetry install
```

### Запуск приложения
```
poetry run python3 main.py
```
